﻿@using SaintGobin.Common;
@model IEnumerable<Contact>

@{
    ViewBag.Title = "GetConactInformation";
}


<!DOCTYPE html>
<html lang="en">
<head>
    <!-- META SECTION -->
    <title>Atlant - Responsive Bootstrap Admin Template</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="icon" href="favicon.ico" type="image/x-icon" />
</head>
<body>
    <!-- START PAGE CONTAINER -->
    <div class="page-container">
        <div class="page-content">
            <ul class="breadcrumb">
                <li><a href="@Url.Action("Index", "Home")">Home</a></li>
                <li class="active">Contact List</li>
            </ul>
            <!-- END BREADCRUMB -->
            <!-- PAGE TITLE -->
            <div class="page-title">
                @*<h2 style="padding: 0px 0px 0px 15px;">
                        <span class="fa fa-users"></span> Contact List

                    </h2>*@
                <h2 style="padding: 0px 0px 0px 15px;">
                    <span class="fa fa-users"></span> Contact List &nbsp;<a href="@Url.Action("AddContact", "Contacts")" class="btn btn-default btn-circle">
                        <i style="margin-right:-1px " class="glyphicon glyphicon-plus"></i>
                    </a>

                </h2>
            </div>
            <!-- END PAGE TITLE -->
            <!-- PAGE CONTENT WRAPPER -->
            <div class="page-content-wrap">

                <div class="box box-info">
                    <div class="container-fluid">
                        <div class="panel panel-primary panel-transparent">
                            <div class="panel-heading">
                                <h3 class="panel-title">Search</h3>

                            </div>
                            <div class="panel-body">
                                <div class="col-md-4 col-sm-4 col-xs-12 column">
                                    <label class="col-md-3 col-sm-3 col-xs-12 lbl" for="first-name" id="lbl_selectCity"> Zone</label>
                                    <div class="col-md-9 col-sm-9 col-xs-12">
                                        <select  class="chosen-select-width" id="dd_ZONE" tabindex="-1" aria-hidden="true">
                                            <option selected value="0">Select Zone</option>
                                            <option  value="EAST">EAST</option>
                                            <option  value="WEST">WEST</option>
                                            <option  value="SOUTH">SOUTH</option>
                                            <option  value="NORTH">NORTH</option>
                                        </select>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="panel panel-default">

                        <div class="panel-heading" style="padding:1px 15px; ">

                            <div>
                            </div>
                            <div id="contact-lists">
                                <ul style="list-style: none;margin:0 0 10px 0px; " class="list-group" id="itemContainer">

                                    <li class="list-group-item">
                                                <button type="button" class="btn btn-lg btn-primary pull-right" id="btnmerge"style="margin:0 15px 15px;" @*onclick="Save() "*@>Merge</button> &nbsp;
                                                <button type="button" class="btn btn-lg btn-primary pull-right" id="btndelete"@*onclick="Delete() "*@>Bulk Delete</button>
                                        
                                                <ul id="test"></ul>

                                                <table class="display" id="example" cellspacing="0">
                                                    <thead>
                                                        <tr>

                                                            <th>Contact</th>
                                                            <th style="display:none"></th>
                                                            <th style="display:none"></th>
                                                        </tr>
                                                    </thead>
                                                    <tfoot>
                                                        <tr>
                                                            <th>Contact</th>
                                                            <th style="display:none"></th>
                                                            <th style="display:none"></th>
                                                        </tr>
                                                    </tfoot>
                                                    <tbody>

                                                        @foreach (var item in Model)
                                                        {
                                                            
                                                            if (Model != null)
                                                            {
                                                                <tr class="col-md-6">
                                                                  

                                                                    @if (item.IsDeleteRequest == true)
                                                                    {
                                                                  
                                                                             
                                                                        <td style="width:50%; ">
                                                                         

                                                                            <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">
                                                                            <div class="" style="width:471px;min-height:175px;background-color: rgb(255, 255, 255);
                                                                                    box-shadow: rgba(0, 0, 0, 0.05) 0px 1px 1px;
                                                                                    margin-bottom: 10px;
                                                                                    border-width: 1px;
                                                                                    border-style: solid;
                                                                                    border-color:red;
                                                                                    border-image: initial;
                                                                                 border-radius: 4px;">
                                                                                <div class="p-t-10" style="padding:10px;">
                                                                                    <div class="media-main">
                                                                                        <a class="pull-left" href="#">
                                                                                        </a>
                                                                                        <div class="pull-right btn-group-sm">
                                                                                            <a href="@Url.Action("EditContact", "Contacts", new { id = item.GUID })" class="btn btn-success tooltips" data-placement="top" data-toggle="tooltip" data-original-title="Edit">
                                                                                                <i class="fa fa-pencil"></i>
                                                                                            </a>
                                                                                            <a href="#" onclick="deletevcf(@item.GUID) " class="btn btn-danger tooltips" data-placement="top" data-toggle="tooltip" data-original-title="Delete">
                                                                                                <i class="fa fa-close"></i>
                                                                                            </a>

                                                                                        </div>
                                                                                        <div class="info">
                                                                                            &nbsp;
                                                                                            @*@Html.CheckBoxFor(m => item.IsSelected, new { @class = "cb", @id = "'++'" }) <br />*@
                                                                                            <input type="checkbox" class="cb" value="@item.GUID " />
                                                                                               <div style="align-content:center;"><center><b>DELETION REQUESTED</b></center> </div>
                                                                                            <article>
                                                                                                <span class="name">@item.prefix &nbsp;@item.firstname&nbsp;@item.middlename &nbsp;@item.lastname&nbsp;@item.sufix</span><br />
                                                                                                @if (item.Contactnoslist.Count != 0)
                                                                                                {
                                                                                                    <p>Contact:</p>
                                                                                                    foreach (var add in item.Contactnoslist)
                                                                                                    {
                                                                                                        <p>@add.type_name:@add.number</p>
                                                                                                    }
                                                                                                }

                                                                                                @if (item.Emailslist.Count != 0)
                                                                                                {
                                                                                                    <p>Email:</p>
                                                                                                    foreach (var add in item.Emailslist)
                                                                                                    {
                                                                                                        <p>@add.type_name : @add.email</p>
                                                                                                    }
                                                                                                }



                                                                                                @if (item.jobtitle != null && item.jobtitle != "")
                                                                                                {
                                                                                                    <p>Job Title : @item.jobtitle</p>
                                                                                                }
                                                                                                @if (item.company != null && item.company != "")
                                                                                                {
                                                                                                    <p>Organisation : @item.company</p>
                                                                                                }
                                                                                                @if (item.Adresslist.Count != 0)
                                                                                                {
                                                                                                    <p>Address :</p>
                                                                                                    foreach (var add in item.Adresslist)
                                                                                                    {
                                                                                                        <p>
                                                                                                            @add.type_name
                                                                                                            @add.street1,
                                                                                                            @add.street2,
                                                                                                            @add.zipcode,
                                                                                                            @add.city,
                                                                                                            @add.state,
                                                                                                            @add.country
                                                                                                        </p>
                                                                                                    }
                                                                                                }
                                                                                                @if (item.websiteslist.Count != 0)
                                                                                                {
                                                                                                    <p>Website :</p>
                                                                                                    foreach (var website in item.websiteslist)
                                                                                                    {
                                                                                                        <p>
                                                                                                            @website.URLs

                                                                                                        </p>
                                                                                                    }
                                                                                                }
                                                                                            </article>
                                                                                        </div>
                                                                                    </div>
                                                                                    <div class="clearfix"></div>

                                                                                </div>
                                                                            </div>
                                                                        </td>
                                                                    }
                                                                    else
                                                                    {
                                                                        <td style="width:50%">
                                                                            <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">
                                                                            <div class="" style="width:471px;min-height:175px;background-color: rgb(255, 255, 255);
                                                                                    box-shadow: rgba(0, 0, 0, 0.05) 0px 1px 1px;
                                                                                    margin-bottom: 10px;
                                                                                    border-width: 1px;
                                                                                    border-style: solid;
                                                                                     border-color:#0cc50c;
                                                                                    border-image: initial;
                                                                                 border-radius: 4px;">

                                                                                <div class="p-t-10" style="padding:10px;">
                                                                                    <div class="media-main">
                                                                                        <a class="pull-left" href="#">
                                                                                        </a>
                                                                                        <div class="pull-right btn-group-sm">
                                                                                            <a href="@Url.Action("EditContact", "Contacts", new { id = item.GUID })" class="btn btn-success tooltips" data-placement="top" data-toggle="tooltip" data-original-title="Edit">
                                                                                                <i class="fa fa-pencil"></i>
                                                                                            </a>
                                                                                            <a href="#" onclick="deletevcf(@item.GUID) " class="btn btn-danger tooltips" data-placement="top" data-toggle="tooltip" data-original-title="Delete">
                                                                                                <i class="fa fa-close"></i>
                                                                                            </a>
                                                                                        </div>
                                                                                        <div class="info">
                                                                                            &nbsp;
                                                                                            @*@Html.CheckBoxFor(m => item.IsSelected, new { @class = "cb", @id = "'++'" }) <br />*@
                                                                                            <input type="checkbox" class="cb" value="@item.GUID " />
                                                                                            <article>
                                                                                                <span class="name">@item.prefix &nbsp;@item.firstname&nbsp;@item.middlename &nbsp;@item.lastname&nbsp;@item.sufix</span><br />
                                                                                                @if (item.Contactnoslist.Count != 0)
                                                                                                {
                                                                                                    <p>Contact:</p>
                                                                                                    foreach (var add in item.Contactnoslist)
                                                                                                    {
                                                                                                        <p>@add.type_name:@add.number</p>
                                                                                                    }
                                                                                                }
                                                                                                @if (item.Emailslist.Count != 0)
                                                                                                {
                                                                                                    <p>Email:</p>
                                                                                                    foreach (var add in item.Emailslist)
                                                                                                    {
                                                                                                        <p>@add.type_name : @add.email</p>
                                                                                                    }
                                                                                                }
                                                                                                @if (item.jobtitle != null && item.jobtitle != "")
                                                                                                {
                                                                                                    <p>Job Title : @item.jobtitle</p>
                                                                                                }
                                                                                                @if (item.company != null && item.company != "")
                                                                                                {
                                                                                                    <p>Organisation : @item.company</p>
                                                                                                }
                                                                                                @if (item.Adresslist.Count != 0)
                                                                                                {
                                                                                                    <p>Address :</p>
                                                                                                    foreach (var add in item.Adresslist)
                                                                                                    {
                                                                                                        <p>
                                                                                                            @add.type_name
                                                                                                            @add.street1,
                                                                                                            @add.street2,
                                                                                                            @add.zipcode,
                                                                                                            @add.city,
                                                                                                            @add.state,
                                                                                                            @add.country
                                                                                                        </p>
                                                                                                    }
                                                                                                }
                                                                                                @if (item.websiteslist.Count != 0)
                                                                                                {
                                                                                                    <p>Website :</p>
                                                                                                    foreach (var website in item.websiteslist)
                                                                                                    {
                                                                                                        <p>
                                                                                                            @website.URLs

                                                                                                        </p>
                                                                                                    }
                                                                                                }
                                                                                            </article>
                                                                                        </div>
                                                                                    </div>
                                                                                    <div class="clearfix"></div>
                                                                                  

                                                                                </div>
                                                                            </div>
                                                                        </td>
                                                                    }
                                                                    <td style="display:none">@item.zone</td>
                                                                    <td style="display:none">@item.IsDeleteRequest.ToString()</td>
                                                                </tr>


                                                            }

                                                        }
                                                    </tbody>
                                                </table>


                                                <div class="clearfix"></div>
                                    </li>

                                </ul>
                                <div class="holder">
                                </div>

                                <p id="legend1">
                                </p>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <!-- END PAGE CONTENT WRAPPER -->
        </div>
</body>
</html>
@section scripts{
    <link href="~/Content/bootstrap-combined.min.css" rel="stylesheet" />
    <script src="~/Scripts/Lib/readmore.js"></script>
    <link href="~/Content/custom.css" rel="stylesheet" />
    @*<link href="~/Content/animate.css" rel="stylesheet" type="text/css" />
        <script src="~/Scripts/Lib/jPages.min.js" type="text/javascript"></script>
        <script src="~/Scripts/Lib/Pagination.js" type="text/javascript"></script>*@
    <script src="@Url.Content("~/Scripts/Lib/jquery.dataTables.min.js")"></script>
    <script src="@Url.Content("~/Scripts/Lib/dataTables.select.min.js")"></script>
<link href="~/Content/jquery-confirm.min.css" rel="stylesheet" />
<script src="~/Scripts/Lib/jquery-confirm.min.js"></script>
 <link href=https://cdn.datatables.net/select/1.2.3/css/select.dataTables.min.css rel ="stylesheet" />
<link href="https://cdn.datatables.net/select/1.2.3/css/select.dataTables.min.css" rel="stylesheet" />

   <script src="https://cdn.datatables.net/select/1.2.3/js/dataTables.select.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.4.2/js/dataTables.buttons.min.js"></script>

    <script>
        function preventBack() { window.history.forward(); }
        setTimeout("preventBack()", 0);
        window.onunload = function () { null };

        function deletevcf(id) {
            $.confirm({
                title: 'Confirm!',
                content: 'Are you sure to delete!',
                buttons: {
                    confirm: {
                        text: 'Approve',
                        action: function () {
                            location.href = '@Url.Action("DeleteContact", "Contacts")?id=' + parseInt(id);
                        }
                    },

                    somethingElse: {

                        text: 'Deny',
                        btnClass: 'btn-blue',
                        keys: ['enter', 'shift'],
                        action: function () {

                            location.href = '@Url.Action("DeleteContactDeny", "Contacts")?id=' + id;
                        }

                    },
                    cancel: {
                        text: 'Cancel',
                        action: function () {
                            $.alert('Cancelled');
                        }
                    }

                }
            });
        }

        function GetDetails(x) {
            location.href = '@Url.Action("GetContactOnUser", "Contacts")?user_id=' + parseInt(x);
        }


        $(function () {
            $('article').readmore({ speed: 500 });//Read More Option
            /* BOOTSNIPP FULLSCREEN FIX */
            if (window.location == window.parent.location) {
                $('#back-to-bootsnipp').removeClass('hide');
            }

            $('[data-toggle="tooltip"]').tooltip();

            $('#fullscreen').on('click', function (event) {
                event.preventDefault();
                window.parent.location = "http://bootsnipp.com/iframe/4l0k2";
            });
            $('a[href="#cant-do-all-the-work-for-you"]').on('click', function (event) {
                event.preventDefault();
                $('#cant-do-all-the-work-for-you').modal('show');
            })

        });



        $(document).ready(function () {
            var oTable = $('#example').DataTable({
                "iDisplayLength": 25, //Add Defa
                "order": [[2, "desc"]],
                  "dom": 'Bfrtip',
                "select": true,
                "buttons": [
                    {
                        text: 'Select all',
                        action: function () {
                            oTable.rows().nodes().page.len(-1).draw();
                            $(".cb").each(function ()
                            {
                                $(this).prop('checked', true);
                            });
                            oTable.rows().nodes().page.len(25).draw();
                        }
                    },
                    {
                        text: 'Select none',
                        action: function () {
                            oTable.rows().nodes().page.len(-1).draw();
                            $(".cb").each(function () {
                                $(this).prop('checked', false);
                            });
                            oTable.rows().nodes().page.len(25).draw();
                        }
                    }
                ]
            });//Initiate DataTable

            $('#btnmerge').on('click', function () {
                oTable.rows().nodes().page.len(-1).draw(); // To fetch all selected records in all the pages
                checked = []
                $(".cb").each(function () {
                    if ($(this).is(":checked"))
                    {
                        checked.push($(this).val());
                    }
                });
                location.href = '@Url.Action("Merge", "Contacts")?vcflist=' + checked;
                debugger;
                oTable.rows().nodes().page.len(25).draw();
            });

            $('#btndelete').on('click', function () {
                oTable.rows().nodes().page.len(-1).draw();
                checked = []
                $(".cb").each(function ()
                {
                    if ($(this).is(":checked")) {
                        checked.push($(this).val());
                    }
                });
                debugger;
                location.href = '@Url.Action("Delete", "Contacts")?vcflist=' + checked;
                debugger;
                oTable.rows().nodes().page.len(25).draw();
            });











            $('#dd_ZONE').on('change', function () {
                searchs();
                // getDifficulty();
            });
            function searchs() {

                var _zoneID = $("#dd_ZONE").val();
                clearFilters();

                if (_zoneID !== "Select Zone" && _zoneID !== null && _zoneID !== 0 && _zoneID !== "0") {
                    oTable.columns(1).search("^" + _zoneID.toString() + "$", true, true).draw();
                    $("#zoneid").attr("value", _zoneID);
                }
                else {
                    $("#zoneid").attr("value", "0");
                }

                oTable.draw();
            }
            //Function For Clear Search
            function clearFilters() {
                oTable.search('').columns().search('').draw();
            }
        });

     

    </script>
}



<style>
        tr.odd, tr.even {
            background-color: #f9f9f9;
        }

        .container-fluid {
	background:url(http://namhah.com/images/1.jpg);
  margin-top: 20px;
}




</style>